<?php
$cryptocurrency_exchange_skin_theme_color = get_theme_mod('cryptocurrency_exchange_skin_theme_color', '#E98D26');

list($cryptocurrency_exchange_r, $cryptocurrency_exchange_g, $cryptocurrency_exchange_b) = sscanf($cryptocurrency_exchange_skin_theme_color, "#%02x%02x%02x");
$cryptocurrency_exchange_r = $cryptocurrency_exchange_r - 41;
$cryptocurrency_exchange_g = $cryptocurrency_exchange_g - 45;
$cryptocurrency_exchange_b = $cryptocurrency_exchange_b - 50;
?>
<style>
/* Header section */
#logo > h2.logo-text a { color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; } 

/* Tags */
.tagcloud a:hover {
    background: rgba(<?php echo esc_attr($cryptocurrency_exchange_r); ?>, <?php echo esc_attr($cryptocurrency_exchange_g); ?>, <?php echo esc_attr($cryptocurrency_exchange_b); ?> );
	color:#fff
}

.dropdown-menu > .active > a, .dropdown-menu > .active > a:hover, .dropdown-menu > .active > a:focus {
	background-color : <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important;
}

/* Comment box reply color */
article:hover {
    border-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important;
}
.comment-bar { border : 2px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;}

/* Widgets
====================================*/
.widget .widget-title:after {     
	background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}
blockquote{
	border-left: 5px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/* GO TO TOP 
====================================*/
.scroll-up a {
	background: #424242
}
.scroll-up a:hover {
    background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
	color: #fff;
}
/* Nav Menu Style
====================================*/

ul.social-icons > li:hover {
	color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}
.navbar-custom .dropdown-menu {
  border-bottom: 2px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
  border-top: 2px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

@media (min-width: 768px) {
	.navbar-custom .dropdown-menu > li > a:focus,
	.navbar-custom .dropdown-menu > li > a:hover,
	.navbar-custom .dropdown-menu > li > a:active {
		background: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
	}
}
.navbar-custom .dropdown-menu > li > a:focus,
.navbar-custom .dropdown-menu > li > a:hover,
.navbar-custom .dropdown-menu > li > a:active
 {
	color: #fff !important;
}
.navbar-custom .nav .dropdown-menu .open > a,
.navbar-custom .nav .dropdown-menu .open > a:focus,
.navbar-custom .nav .dropdown-menu .open > a:hover {
	background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
	color: #fff;
}
.navbar-custom .nav .open > a, 
.navbar-custom .nav .open > a:focus, 
.navbar-custom .nav .open > a:hover {
    border-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
	
}

.dropdown-menu>.active>a, 
.dropdown-menu>.active>a:focus,
.dropdown-menu>.active>a:hover {
	background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
	color:#fff;
}

/* Section seperator
====================================*/

.section-seperator{
	background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/* Slider Button Style
====================================*/
.btn.btn-border-w:hover,
.btn.btn-border-w:focus {
  background: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
  border: 1px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important;
}

.btn.btn-border-w,
.btn.btn-border-w {
 color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
 border-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
 
}


.flex-direction-nav a:hover {
    color: #fff;
    background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important;
}

.flex-control-nav > li > a:hover, .flex-control-nav > li > a.flex-active {
	background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}
.flex-control-nav > li > a:hover{
    border: 2px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/*--------------------------------------------------------------
	Services & Features
--------------------------------------------------------------*/
.feature-box:before, .feature-box .content:before, .feature-box:after, .feature-box .content:after{
  background-color:<?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

.features-icon, .alt-features-icon {
  color:<?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

.features-icon:hover,
.alt-features-icon:hover {
  color: rgba(<?php echo esc_attr($cryptocurrency_exchange_r); ?>, <?php echo esc_attr($cryptocurrency_exchange_g); ?>, <?php echo esc_attr($cryptocurrency_exchange_b); ?> );
}

/*--------------------------------------------------------------
	Funfacts
--------------------------------------------------------------*/
.transition-effect:hover {
	color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/*--------------------------------------------------------------
	Breadcrumb
--------------------------------------------------------------*/
.bg-custom {
	background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/*--------------------------------------------------------------
	Portfolio
--------------------------------------------------------------*/
a:hover, a:focus {
  color:<?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

.works-grid.works-hover-w .work-item:hover .work-image:after {
  background: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
  opacity: 0.8;
}
.work-item:hover .work-image:after {
    background: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
	opacity: 0.8;
}
.filter > li a.current { 
	color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/*--------------------------------------------------------------
	Team 
--------------------------------------------------------------*/
.team-social a:hover {
   background-color:<?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/*--------------------------------------------------------------
	Blog
--------------------------------------------------------------*/
.bg-dark a:hover {
     color:<?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/* blog Pagination color setting*/
.pagination span { background : <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; }
.pagination span:hover { background : <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;  }

#blog-carousal .post .cat-links a:hover, 
#blog-carousal .post .cat-links a:focus { color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; }

.post .cat-links a:hover, 
.post .cat-links a:focus { color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; }

.fa-icons-custom-quote:hover { color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; } 

/*--------------------------------------------------------------
	Title
--------------------------------------------------------------*/

/*--------------------------------------------------------------
	Callout area
--------------------------------------------------------------*/


/*--------------------------------------------------------------
	Contact area
--------------------------------------------------------------*/
.btn.btn-d:hover,
.btn.btn-d:focus {
   background: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}
/*--------------------------------------------------------------
	Search Widget
--------------------------------------------------------------*/
#site-searchform #searchsubmit:hover { background-color: #111; } 
#site-searchform #searchsubmit { background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; }
#site-searchform #s:focus {	border-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; }

/*--------------------------------------------------------------
	Calender Widget
--------------------------------------------------------------*/
.widget table#wp-calendar caption { background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;}
.widget table#wp-calendar tbody a:hover { color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;}

.widget table#wp-calendar #next a:hover,
.widget table#wp-calendar #prev a:hover {
	 color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;
}

/*--------------------------------------------------------------
	Footer
--------------------------------------------------------------*/
.site-footer { border-top: 3px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>; }

.footer-social-links li a:hover, .footer-social-links li a:focus { color: #fff; background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?>;}


.widget ul li a:hover, .widget ul li a:focus { color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important; }

.widget .tagcloud a:hover, 
.widget .tagcloud a:focus {
    background-color: <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important;
    border: 1px solid <?php echo esc_attr($cryptocurrency_exchange_skin_theme_color); ?> !important;
    color: #ffffff !important;
}


/*WOOCOMMERCE CSS----------------------------------------------------------------------------------------------------*/




</style>