<?php
/**
 * Theme Customizer
 */
function cryptocurrency_exchange_customize_register( $wp_customize ) {
   //All our sections, settings, and controls will be added here
   
	//Titles
    class cryptocurrency_exchange_info extends WP_Customize_Control {
        public $type = 'info';
        public $label = '';
        public function render_content() {
        ?>
            <h3 style="margin-top:30px;border-left:2px solid #E98D26;padding:7px;background-color:#E98D26;color:#232020;text-transform:uppercase;text-align:center;"><?php echo esc_html( $this->label ); ?></h3>
        <?php
        }
    }
		
		$wp_customize->remove_control('blogdescription');
		//cryptocurrency exchange Theme Options
		$wp_customize->add_panel('cryptocurrency_exchange_theme_options', array(
				'title' 	=> __( 'Theme Options', 'cryptocurrency-exchange' ),
				'priority' 	=> 1,
            )
        );
		
		//General Settings
		$wp_customize->add_section( 'cryptocurrency_exchange_general_settings' , array(
				'title'      	=> __( 'General Settings', 'cryptocurrency-exchange' ),
				'priority'      => 2,
				'panel'			=> 'cryptocurrency_exchange_theme_options',
			) 
		);
		
		//Theme Color
			$wp_customize->add_setting( 'cryptocurrency_exchange_skin_theme_color' , array(
					'default'   		=> '#E98D26',
					'sanitize_callback' => 'sanitize_hex_color',
				) 
			);
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'cryptocurrency_exchange_skin_theme_color', array(
					'label'      => __( 'Theme Color', 'cryptocurrency-exchange' ),
					'section'	 => 'cryptocurrency_exchange_general_settings',
					'settings'   => 'cryptocurrency_exchange_skin_theme_color',
					'priority'  => 1,
					) 
				) 
			);
			
		//General Page Layout
		$wp_customize->add_setting( 'cryptocurrency_exchange_general_page_layout', array(
				'default'      		=> 'fullwidth',
				'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
			)
		);
		$wp_customize->add_control('cryptocurrency_exchange_general_page_layout', array(
				'type'      => 'radio',
				'label'     => __('Page layout', 'cryptocurrency-exchange'),
				'section'   => 'cryptocurrency_exchange_general_settings',
				'priority'  => 4,
				'choices'   => array(
					'leftsidebar'       => __( 'Left Sidebar', 'cryptocurrency-exchange' ),
					'fullwidth'         => __( 'Full width (no sidebar)', 'cryptocurrency-exchange' ),
					'rightsidebar'    	=> __( 'Right Sidebar', 'cryptocurrency-exchange' )
				),
			)
		);
		//General Settings End
		
		//4. Slider Settings Start ======================================
		$wp_customize->add_section( 'cryptocurrency_slider_option' , array(
				'title'      	=> __( 'HomePage Slider Settings', 'cryptocurrency-exchange' ),
				'description'   => __('You can add up to 3 images in the slider. ', 'cryptocurrency-exchange'),
				'priority'      => 5,
				'panel'      	=> 'cryptocurrency_exchange_theme_options',
			) 
		);
		
			//Enable Slider			
			$wp_customize->add_setting( 'cryptocurrency_exchange_slider_section', array(
					'default'      		=> 'inactive',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_section', array(
					'type'      => 'radio',
					'label'     => __('Slider Section', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_slider_option',
					'priority'  => 1,
					'choices'   => array(
						'active'       => __( 'Active', 'cryptocurrency-exchange' ),
						'inactive'     => __( 'Inactive', 'cryptocurrency-exchange' ),
					),
				)
			);
			
			//Slider Speed
			$wp_customize->add_setting('cryptocurrency_exchange_slider_speed', array(
					'default' 			=> esc_html('2500', 'cryptocurrency-exchange'),
					'sanitize_callback' => 'absint'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_speed', array(
					'label' 		=> __( 'Slider Speed', 'cryptocurrency-exchange' ),
					'section' 		=> 'cryptocurrency_slider_option',
					'type'		 	=> 'number',
					'description'   => __('Slider speed in miliseconds. [default: 2500]', 'cryptocurrency-exchange'),       
					'priority' 		=> 2,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Slider Autoplay			
			$wp_customize->add_setting( 'cryptocurrency_exchange_slider_autoplay', array(
					'default'      		=> 'true',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_autoplay', array(
					'type'      => 'radio',
					'label'     => __('Slider Autoplay', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_slider_option',
					'priority'  => 1,
					'choices'   => array(
						'true'       => __( 'Enable', 'cryptocurrency-exchange' ),
						'false'      => __( 'Disable', 'cryptocurrency-exchange' ),
					),
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Slide One
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',            
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 's1', array(
						'label' 	=> __('Slide One', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_slider_option',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 3,
						'active_callback' => 'cryptocurrency_exchange_slider_callback',
					) 
				)
			);    
			
			$wp_customize->add_setting('cryptocurrency_exchange_slider_image_1', array(
					'default' 			=> get_template_directory_uri() . '/images/slider/slider1.jpg',
					'sanitize_callback' => 'esc_url_raw',
				)
			);
			$wp_customize->add_control(	new WP_Customize_Image_Control(	$wp_customize, 'cryptocurrency_exchange_slider_image_1', array(
					   'label'          => __( 'Upload your image for the slide one', 'cryptocurrency-exchange' ),
					   'type'           => 'image',
					   'section'        => 'cryptocurrency_slider_option',
					   'settings'       => 'cryptocurrency_exchange_slider_image_1',
					   'priority'       => 4,
						'active_callback' => 'cryptocurrency_exchange_slider_callback',
					)
				)
			);
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_slider_title_1', array(
					'default' 			=> esc_html('This awesome blogging theme','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
					
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_title_1', array(
					'label' 	=> __( 'Title for the slide one', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'text',
					'priority' 	=> 5,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_slider_desc_1', array(
					'default' 			=> esc_html('CRYPTO IS CREATIVE MULTIPURPOSE HTML TEMPLATE FOR WEB DEVELOPERS WHO CHANGE THE WORLD.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_desc_1', array(
					'label' 	=> __( 'Slider Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type'		=> 'textarea',
					'priority' 	=> 5,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Button Link
			$wp_customize->add_setting('cryptocurrency_exchange_slider_btn_link_1', array(
					'default' 			=> esc_html('#','cryptocurrency-exchange'),
					'sanitize_callback' => 'esc_url_raw'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_btn_link_1', array(
					'label' 	=> __( 'Button Link', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'url',
					'priority'	=> 6,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Button Text
			$wp_customize->add_setting('cryptocurrency_exchange_slider_btn_text_1', array(
					'default' 			=> esc_html('Learn More','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_btn_text_1', array(
					'label' 	=> __( 'Button Text', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'text',
					'priority' 	=> 7,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Slide Two
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',            
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 's2', array(
						'label' 	=> __('Slide Two', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_slider_option',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 8,
						'active_callback' => 'cryptocurrency_exchange_slider_callback',
					) 
				)
			);    
			
			$wp_customize->add_setting('cryptocurrency_exchange_slider_image_2', array(
					'default' 			=> get_template_directory_uri() . '/images/slider/slider2.jpg',
					'sanitize_callback' => 'esc_url_raw',
				)
			);
			$wp_customize->add_control(	new WP_Customize_Image_Control(	$wp_customize, 'cryptocurrency_exchange_slider_image_2', array(
					   'label'          => __( 'Upload your image for the slide two', 'cryptocurrency-exchange' ),
					   'type'           => 'image',
					   'section'        => 'cryptocurrency_slider_option',
					   'settings'       => 'cryptocurrency_exchange_slider_image_2',
					   'priority'       => 9,
						'active_callback' => 'cryptocurrency_exchange_slider_callback',
					)
				)
			);
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_slider_title_2', array(
					'default' 			=> esc_html('The Theme for Stock Market','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_title_2', array(
					'label' 	=> __( 'Title for the slide two', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'text',
					'priority' 	=> 10,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_slider_desc_2', array(
					'default' 			=> esc_html('GROW YOUR AWESOME IDEA.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_desc_2', array(
					'label' 	=> __( 'Slider Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'textarea',
					'priority' 	=> 11,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Button Link
			$wp_customize->add_setting('cryptocurrency_exchange_slider_btn_link_2', array(
					'default' 			=> esc_html('#','cryptocurrency-exchange'),
					'sanitize_callback' => 'esc_url_raw'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_btn_link_2', array(
					'label' 	=> __( 'Button Link', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'url',
					'priority' 	=> 12,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Button Text
			$wp_customize->add_setting('cryptocurrency_exchange_slider_btn_text_2', array(
					'default' 			=> esc_html('Read More','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_btn_text_2', array(
					'label' 	=> __( 'Button Text', 'cryptocurrency-exchange' ),
					'section'	=> 'cryptocurrency_slider_option',
					'type' 		=> 'text',
					'priority'  => 13,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Slide Three
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',            
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 's3', array(
						'label' 	=> __('Slide Three', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_slider_option',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 14,
						'active_callback' => 'cryptocurrency_exchange_slider_callback',
					) 
				)
			);    
			
			$wp_customize->add_setting('cryptocurrency_exchange_slider_image_3', array(
					'default' 			=> get_template_directory_uri() . '/images/slider/slider3.jpg',
					'sanitize_callback' => 'esc_url_raw',
				)
			);
			$wp_customize->add_control(	new WP_Customize_Image_Control(	$wp_customize, 'cryptocurrency_exchange_slider_image_3', array(
					   'label'          => __( 'Upload your image for the slide three', 'cryptocurrency-exchange' ),
					   'type'           => 'image',
					   'section'        => 'cryptocurrency_slider_option',
					   'settings'       => 'cryptocurrency_exchange_slider_image_3',
					   'priority'       => 15,
						'active_callback' => 'cryptocurrency_exchange_slider_callback',
					)
				)
			);
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_slider_title_3', array(
					'default' 			=> esc_html('The Theme for Business','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'

				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_title_3', array(
					'label' 	=> __( 'Title for the slide three', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'text',
					'priority' 	=> 16,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_slider_desc_3', array(
					'default' 			=> esc_html('WE BUILD BRANDS THAT BUILD BUSINESS.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_desc_3', array(
					'label' 	=> __( 'Slider Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'textarea',
					'priority' 	=> 17,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Button Link
			$wp_customize->add_setting('cryptocurrency_exchange_slider_btn_link_3', array(
					'default' 			=> esc_html('#','cryptocurrency-exchange'),
					'sanitize_callback' => 'esc_url_raw'

				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_btn_link_3', array(
					'label' 	=> __( 'Button Link', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_slider_option',
					'type' 		=> 'url',
					'priority' 	=> 18,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);
			
			//Button Text
			$wp_customize->add_setting('cryptocurrency_exchange_slider_btn_text_3', array(
					'default' 			=> esc_html('Download Now','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_slider_btn_text_3', array(
					'label' 	=> __( 'Button Text', 'cryptocurrency-exchange' ),
					'section'	=> 'cryptocurrency_slider_option',
					'type' 		=> 'text',
					'priority'  => 19,
					'active_callback' => 'cryptocurrency_exchange_slider_callback',
				)
			);	
			
			//Slider Radio Button Show And Hide Funcion			
			function cryptocurrency_exchange_slider_callback( $cryptocurrency_slider_control ) {
				$cryptocurrency_slider_radio_setting = $cryptocurrency_slider_control->manager->get_setting('cryptocurrency_exchange_slider_section')->value();
				$cryptocurrency_slider_control_id = $cryptocurrency_slider_control->id;
				//slide one
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_speed'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_autoplay'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 's1'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_image_1'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_title_1'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_desc_1'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_btn_link_1'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_btn_text_1'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				//slide two
				if ( $cryptocurrency_slider_control_id == 's2'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_image_2'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_title_2'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_desc_2'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_btn_link_2'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_btn_text_2'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				//slide three
				if ( $cryptocurrency_slider_control_id == 's3'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_image_3'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_title_3'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_desc_3'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_btn_link_3'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_slider_control_id == 'cryptocurrency_exchange_slider_btn_text_3'  && $cryptocurrency_slider_radio_setting == 'active' ) return true;
				
				return false;
			}	
		//4. Slider Settings End ======================================
		
		//5. Service Settings Start ======================================
		$wp_customize->add_section( 'cryptocurrency_service_option' , array(
				'title'      	=> __( 'HomePage Service Settings', 'cryptocurrency-exchange' ),
				'priority'      => 5,
				'panel'      	=> 'cryptocurrency_exchange_theme_options',
			) 
		);
		
			//Enable Service
			$wp_customize->add_setting( 'cryptocurrency_exchange_service_section', array(
					'default'     		=> 'inactive',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_section', array(
					'type'      => 'radio',
					'label'     => __('Service Section', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_service_option',
					'priority'  => 1,
					'choices'   => array(
						'active'       => __( 'Active', 'cryptocurrency-exchange' ),
						'inactive'     => __( 'Inactive', 'cryptocurrency-exchange' ),
					),
				)
			);
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_service_section_title', array(
					'default' 			=> esc_html('Our Service','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_section_title', array(
					'label' 	=> __( 'Title', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 1,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_service_section_desc', array(
					'default' 			=> esc_html('Lorem Ipsum is simply dummy text of the printing and type setting industry.Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_section_desc', array(
					'label' 	=> __( 'Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 1,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			//Service Column Layout
			$wp_customize->add_setting( 'cryptocurrency_exchange_service_column_layout', array(
					'default'     		=> 'col-md-4',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_column_layout', array(
					'type'      => 'radio',
					'label'     => __('Column Settings (Only For Desktop)', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_service_option',
					'priority'  => 1,
					'choices'   => array(
						//'col-md-3'     	=> __( '4 Column', 'cryptocurrency-exchange' ),
						'col-md-4'      => __( '3 Column', 'cryptocurrency-exchange' ),						
						'col-md-6'      => __( '2 Column', 'cryptocurrency-exchange' ),						
					),
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);	
			
			//Service One
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',            
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 'service_one', array(
						'label' 	=> __('Service One', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_service_option',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 2,
						'active_callback' => 'cryptocurrency_exchange_service_callback',
					) 
				)
			);
			
			
			//Icon
			$wp_customize->add_setting('cryptocurrency_exchange_service_icon_1', array(
					'default' 			=> esc_html('fa-lightbulb-o','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_icon_1', array(
					'label' 	=> __( 'Service Icon', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 3,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_service_title_1', array(
					'default' 			=> esc_html('Ideas and concepts','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_title_1', array(
					'label' 	=> __( 'Title', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 4,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_service_desc_1', array(
					'default' 			=> esc_html('Careful attention to detail and clean, well structured code ensures a smooth user experience for all your visitors.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_desc_1', array(
					'label' 	=> __( 'Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 5,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			 //Service Two
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',            
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 'service_two', array(
						'label' 	=> __('Service Two', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_service_option',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 6,
						'active_callback' => 'cryptocurrency_exchange_service_callback',
					) 
				)
			);
			
		
			//Icon
			$wp_customize->add_setting('cryptocurrency_exchange_service_icon_2', array(
					'default' 			=> esc_html('fa-bicycle','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_icon_2', array(
					'label' 	=> __( 'Service Icon', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 7,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_service_title_2', array(
					'default' 			=> esc_html('Optimised for speed','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_title_2', array(
					'label' 	=> __( 'Title', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 8,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_service_desc_2', array(
					'default' 			=> esc_html('Careful attention to detail and clean, well structured code ensures a smooth user experience for all your visitors.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_desc_2', array(
					'label' 	=> __( 'Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 9,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			//Service Three
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',            
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 'service_three', array(
						'label' 	=> __('Service Three', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_service_option',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 10,
						'active_callback' => 'cryptocurrency_exchange_service_callback',
					) 
				)
			);
			
			//Icon
			$wp_customize->add_setting('cryptocurrency_exchange_service_icon_3', array(
					'default' 			=> esc_html('fa-pencil-square-o','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_icon_3', array(
					'label' 	=> __( 'Service Icon', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 11,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			//Title
			$wp_customize->add_setting('cryptocurrency_exchange_service_title_3', array(
					'default' 			=> esc_html('Designs interfaces','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_title_3', array(
					'label' 	=> __( 'Title', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 12,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			);
			
			//Description
			$wp_customize->add_setting('cryptocurrency_exchange_service_desc_3', array(
					'default' 			=> esc_html('Careful attention to detail and clean, well structured code ensures a smooth user experience for all your visitors.','cryptocurrency-exchange'),
					'sanitize_callback' => 'wp_filter_nohtml_kses'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_service_desc_3', array(
					'label' 	=> __( 'Description', 'cryptocurrency-exchange' ),
					'section' 	=> 'cryptocurrency_service_option',
					'type' 		=> 'text',
					'priority' 	=> 13,
					'active_callback' => 'cryptocurrency_exchange_service_callback',
				)
			); 
				
			//Service Radio Button Show And Hide Funcion			
			function cryptocurrency_exchange_service_callback( $cryptocurrency_service_control ) {
				$cryptocurrency_service_radio_setting = $cryptocurrency_service_control->manager->get_setting('cryptocurrency_exchange_service_section')->value();
				$cryptocurrency_service_control_id = $cryptocurrency_service_control->id;
				//service one
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_section_title'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_section_desc'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_column_layout'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'service_one'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_icon_1'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_title_1'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_desc_1'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				//service two			
				if ( $cryptocurrency_service_control_id == 'service_two'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_icon_2'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_title_2'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_desc_2'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				//service three
				if ( $cryptocurrency_service_control_id == 'service_three'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_icon_3'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_title_3'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				if ( $cryptocurrency_service_control_id == 'cryptocurrency_exchange_service_desc_3'  && $cryptocurrency_service_radio_setting == 'active' ) return true;
				  
				return false;
			}
		//5. Service Settings End ======================================
		
		
		//Blog Options
		$wp_customize->add_section( 'cryptocurrency_exchange_blog_option' , array(
				'title'      	=> __( 'Blog Settings', 'cryptocurrency-exchange' ),
				'description'	=> __( 'You can change blog page layout and single blog page layout from here', 'cryptocurrency-exchange' ),
				'priority'      => 5,
				'panel'      	=> 'cryptocurrency_exchange_theme_options',
			) 
		);
		
			//Blog Page Layout
			$wp_customize->add_setting( 'cryptocurrency_exchange_page_layout_style', array(
					'default'      		=> 'rightsidebar',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_page_layout_style', array(
					'type'      => 'radio',
					'label'     => __('Blog Page layout', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_exchange_blog_option',
					'priority'  => 1,
					'choices'   => array(
						'leftsidebar'       => __( 'Left Sidebar', 'cryptocurrency-exchange' ),
						'fullwidth'         => __( 'Full width (no sidebar)', 'cryptocurrency-exchange' ),
						'rightsidebar'    	=> __( 'Right Sidebar', 'cryptocurrency-exchange' )
					),
				)
			);
			
			//Blog Single Page Layout
			$wp_customize->add_setting( 'cryptocurrency_exchange_blog_single_page_layout', array(
					'default'      		=> 'fullwidth',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_blog_single_page_layout', array(
					'type'      => 'radio',
					'label'     => __('Blog Single Page layout', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_exchange_blog_option',
					'priority'  => 2,
					'choices'   => array(
						'leftsidebar'       => __( 'Left Sidebar', 'cryptocurrency-exchange' ),
						'fullwidth'         => __( 'Full width (no sidebar)', 'cryptocurrency-exchange' ),
						'rightsidebar'    	=> __( 'Right Sidebar', 'cryptocurrency-exchange' )
					),
				)
			);	
			
		//Social Icon Settings
		$wp_customize->add_section( 'cryptocurrency_exchange_topbar_settings' , array(
				'title'      	=> __( 'Social Icon Settings', 'cryptocurrency-exchange' ),
				'priority'      => 5,
				'panel'			=> 'cryptocurrency_exchange_theme_options',
				'description'	=> __('Social Media icons will disappear if you leave it blank', 'cryptocurrency-exchange')
			) 
		);
			
			
			//Social Media
			$wp_customize->add_setting('cryptocurrency_title', array(
					'type'              => 'info_control',
					'capability'        => 'edit_theme_options',
					'sanitize_callback' => 'esc_attr',     
				)
			);
			
			$wp_customize->add_control( new cryptocurrency_exchange_info( $wp_customize, 'social_media', array(
						'label' 	=> __('Social Media', 'cryptocurrency-exchange'),
						'section' 	=> 'cryptocurrency_exchange_topbar_settings',
						'settings' 	=> 'cryptocurrency_title',
						'priority' 	=> 4,
					) 
				)
			);
			
			//Facebook link
			$wp_customize->add_setting( 'cryptocurrency_exchange_fb_link_disable', array(
					'default'           => 1,
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_checkbox',
				)
			);
			$wp_customize->add_control( 'cryptocurrency_exchange_fb_link_disable', array(
					'type'        => 'checkbox',
					'label'       => __('Disable Facebook Icon?', 'cryptocurrency-exchange'),
					'section'     => 'cryptocurrency_exchange_topbar_settings',
					'priority' 	  => 4,
				)
			);
			
			$wp_customize->add_setting('cryptocurrency_exchange_facebook_url', array( 
					'default' 			=> '',
					'sanitize_callback' => 'esc_url_raw'
					) 
				);
			$wp_customize->add_control('cryptocurrency_exchange_facebook_url', array(
					'description' 	=> __('Enter your Facebook url', 'cryptocurrency-exchange'),
					'section' 		=> 'cryptocurrency_exchange_topbar_settings',
					'type' 			=> 'url',
					'priority' 		=> 4,
				)
			);
			//Twitter URL
			$wp_customize->add_setting( 'cryptocurrency_exchange_tweet_link_disable', array(
					'default'           => 1,
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_checkbox',
				)
			);
			$wp_customize->add_control( 'cryptocurrency_exchange_tweet_link_disable', array(
					'type'        => 'checkbox',
					'label'       => __('Disable Twitter Icon?', 'cryptocurrency-exchange'),
					'section'     => 'cryptocurrency_exchange_topbar_settings',
					'priority' 	  => 4,
				)
			);
			
			$wp_customize->add_setting('cryptocurrency_exchange_twitter_url', array( 
					'default' 			=> '',
					'sanitize_callback' => 'esc_url_raw'
					) 
				);
			$wp_customize->add_control('cryptocurrency_exchange_twitter_url', array(
					'description' 	=> __('Enter your Twitter url', 'cryptocurrency-exchange'),
					'section' 		=> 'cryptocurrency_exchange_topbar_settings',
					'type' 			=> 'url',
					'priority' 		=> 4,
				)
			);
			
			//Instagram URL
			$wp_customize->add_setting( 'cryptocurrency_exchange_insta_link_disable', array(
					'default'           => 1,
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_checkbox',
				)
			);
			$wp_customize->add_control( 'cryptocurrency_exchange_insta_link_disable', array(
					'type'        => 'checkbox',
					'label'       => __('Disable Instagram Icon?', 'cryptocurrency-exchange'),
					'section'     => 'cryptocurrency_exchange_topbar_settings',
					'priority' 	  => 4,
				)
			);
			
			$wp_customize->add_setting('cryptocurrency_exchange_instagram_url', array(
					'default' 			=> '',
					'sanitize_callback' => 'esc_url_raw'
					) 
				);
			$wp_customize->add_control('cryptocurrency_exchange_instagram_url', array(
					'description'	=> __('Enter your Instagram url', 'cryptocurrency-exchange'),
					'section' 		=> 'cryptocurrency_exchange_topbar_settings',
					'type' 			=> 'url',
					'priority' 		=> 4,
				)
			);
			//YouTube URL
			$wp_customize->add_setting( 'cryptocurrency_exchange_youtube_link_disable', array(
					'default'           => 1,
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_checkbox',
				)
			);
			$wp_customize->add_control( 'cryptocurrency_exchange_youtube_link_disable', array(
					'type'        => 'checkbox',
					'label'       => __('Disable YouTube Icon?', 'cryptocurrency-exchange'),
					'section'     => 'cryptocurrency_exchange_topbar_settings',
					'priority' 	  => 4,
				)
			);
			
			$wp_customize->add_setting('cryptocurrency_exchange_youtube_url', array(
					'default'			=> '',
					'sanitize_callback' => 'esc_url_raw'
					) 
				);
			$wp_customize->add_control('cryptocurrency_exchange_youtube_url', array(
					'description' 	=> __('Enter your YouTube url', 'cryptocurrency-exchange'),
					'section' 		=> 'cryptocurrency_exchange_topbar_settings',
					'type' 			=> 'url',
					'priority' 		=> 4,
				)
			);
						
		//Footer Settings
		$wp_customize->add_section( 'cryptocurrency_exchange_footer_settings' , array(
				'title'      	=> __( 'Footer Settings', 'cryptocurrency-exchange' ),
				'priority'      => 6,
				'panel'			=> 'cryptocurrency_exchange_theme_options',
			) 
		);
			//Enable Widget			
			$wp_customize->add_setting( 'cryptocurrency_exchange_widgets_section', array(
					'default'      		=> 'inactive',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio'
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_widgets_section', array(
					'type'      => 'radio',
					'label'     => __('Widgets Section', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_exchange_footer_settings',
					'settings'   => 'cryptocurrency_exchange_widgets_section',
					'priority'  => 1,
					'choices'   => array(
						'active'       => __( 'Active', 'cryptocurrency-exchange' ),
						'inactive'     => __( 'Inactive', 'cryptocurrency-exchange' ),
					),
				)
			);
			

			//Footer Column Layout
			$wp_customize->add_setting( 'cryptocurrency_exchange_footer_column_layout', array(
					'default'      		=> '3',
					'sanitize_callback' => 'cryptocurrency_exchange_sanitize_radio',
				)
			);
			$wp_customize->add_control('cryptocurrency_exchange_footer_column_layout', array(
					'type'      => 'radio',
					'label'     => __('Footer Column Layout', 'cryptocurrency-exchange'),
					'section'   => 'cryptocurrency_exchange_footer_settings',
					'priority'  => 3,
					'choices'   => array(
						'1'   	=> __( 'One Column', 'cryptocurrency-exchange' ),
						'2'    	=> __( 'Two Column', 'cryptocurrency-exchange' ),
						'3'   	=> __( 'Three Column', 'cryptocurrency-exchange' ),
						'4'    	=> __( 'Four Column', 'cryptocurrency-exchange' ),
					),
				)
			);

			$wp_customize->get_setting( 'blogname' )->transport        = 'refresh';
			$wp_customize->get_setting( 'blogdescription' )->transport = 'refresh';

			if ( isset( $wp_customize->selective_refresh ) ) {
				$wp_customize->get_setting( 'blogname' )->transport        = 'postMessage';
				$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';

				$wp_customize->selective_refresh->add_partial( 'blogname', array(
					'selector'        => '.logo-text a',
					'render_callback' => 'cryptocurrency_customize_partial_blogname',
				) );
				$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
					'selector'        => '.site-description',
					'render_callback' => 'cryptocurrency_customize_partial_blogdescription',
				) );
			}

			
}
add_action( 'customize_register', 'cryptocurrency_exchange_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function cryptocurrency_customize_partial_blogname() {

	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function cryptocurrency_customize_partial_blogdescription() {

	bloginfo( 'description' );
}


/**

/**
	Sanitize
**/
//checkbox sanitization function
function cryptocurrency_exchange_sanitize_checkbox( $input ) {
	if ( $input == 1 ) {
		return 1;
	} else {
		return 0;
	}
}
     
//radio box sanitization function
function cryptocurrency_exchange_sanitize_radio( $input, $setting ) {
 
	//input must be a slug: lowercase alphanumeric characters, dashes and underscores are allowed only
	$input = sanitize_key($input);

	//get the list of possible radio box options 
	$choices = $setting->manager->get_control( $setting->id )->choices;
					 
	//return input if valid or return default option
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );                
	 
}

//select sanitization function
function cryptocurrency_exchange_sanitize_select( $input, $setting ) {
 
	//input must be a slug: lowercase alphanumeric characters, dashes and underscores are allowed only
	$input = sanitize_key($input);

	//get the list of possible select options 
	$choices = $setting->manager->get_control( $setting->id )->choices;

	//return input if valid or return default option
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );                
	 
}

/**
 * Function to sanitize alpha color.
 *
 * @param string $input Hex or RGBA color.
 *
 * @return string
 */
function cryptocurrency_exchange_sanitize_hex_colors( $input ) {
	// Is this an rgba color or a hex?
	$mode = ( false === strpos( $input, 'rgba' ) ) ? 'hex' : 'rgba';

	if ( 'rgba' === $mode ) {
		return cryptocurrency_exchange_sanitize_rgba( $input );
	} else {
		return sanitize_hex_color( $input );
	}
}
?>